Bug 834357 - [as5-plugin] BRMS is not recognized as a product type
[as5-plugin] BRMS is not recognized as a product type
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: JON 3.1.1
Assigned To: Lukas Krejci
Mike Foley
:
Depends On: 834353
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 12:07 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 834353
Environment:
Last Closed: 2013-09-03 11:03:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
brms (123.96 KB, image/png)
2012-08-27 10:36 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Charles Crouch 2012-06-21 12:07:49 EDT
+++ This bug was initially created as a clone of Bug #834353 +++

We end up efaulting the product type to "AS", and then the default Resource name, description, and version erroneously contain "AS", rather than "BRMS".

--- Additional comment from ian.springer@redhat.com on 2012-06-21 11:58:20 EDT ---

Fixed in master:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=cb31626

Name, description, and version now get discovered as follows for BRMS 5.3.0 ER8:

Name: BRMS jetengine:1099 default
Description: JBoss Business Rules Management System 5
Version: BRMS 5.3.0.BRMS-ER8
Comment 1 Charles Crouch 2012-06-21 12:08:32 EDT
Clone for fixing as part of JON311
Comment 2 Simeon Pinder 2012-08-06 12:09:02 EDT
This is checked into 3.1.1 branch with commit: 23e7b8fdd6593

Moving this to MODIFIED for testing with next JON 3.1.1 binary.
Comment 3 Simeon Pinder 2012-08-06 13:38:46 EDT
Moving back to ASSIGNED. Original BZ from master was kicked back. Will need to investigate further.
Comment 4 Jay Shaughnessy 2012-08-16 16:52:05 EDT
Lukas,

I started looking into this but didn't get very far.  I did reproduce it by starting a (standalone) 5.2.0.GA BRMS server that I pulled from porkchop, and deploying the BRMS plugin from the ER2 build (along with our standard plugins).

Sure enough it came up as an EWP server discovered by the AS5 plugin.  I did not see the BRMS plugin discover it at all.  So there are, I think, two problems.  The BRMS plugin needs to be updated to discover it and the AS5 plugin needs to be updated to *not* discover it.
Comment 5 Larry O'Leary 2012-08-16 17:49:33 EDT
I think the AS5 plug-in "SHOULD" be discovering it. It just needs to be able to determine if the AS server is EAP, EWP, or BRMS (others too... SOA, EPP, etc).

The BRMS plug-in only deals with child services of the EAP server which represents the BRMS platform.
Comment 6 Lukas Krejci 2012-08-17 14:03:56 EDT
release/jon3.1.x http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=34bfcba9e2c9d9e1a740fab63b8d871d1dc77310
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Fri Aug 17 19:20:48 2012 +0200

    [BZ 834353] - Distinguish between BRMS 5.(1|2).0 and EWP 5.1.x by looking
    for BRMS specific jars in the client directory.
    (cherry picked from commit 30c5e81759f5166873e49fd3486614c282203f47)
Comment 7 John Sanda 2012-08-22 01:42:36 EDT
Moving to ON_QA. The JON 3.1.1 ER3 build is available at https://brewweb.devel.redhat.com/buildinfo?buildID=230321.
Comment 8 Armine Hovsepyan 2012-08-27 10:36:38 EDT
Created attachment 607223 [details]
brms

verified
Comment 9 Heiko W. Rupp 2013-09-03 11:03:04 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.